import request from '@/utils/request'

export function handleTurnDownPipe(data) {
  return request({
    url: '/pssr/overhaulPipe/turnDownPipe',
    method: 'put',
    data: data
  })
}
// 查询检修项目-管线列表
export function listOverhaulPipe(query) {
  return request({
    url: '/pssr/overhaulPipe/list',
    method: 'get',
    params: query
  })
}

// 查询检修项目-管线详细
export function getOverhaulPipe(id) {
  return request({
    url: '/pssr/overhaulPipe/' + id,
    method: 'get'
  })
}

// 新增检修项目-管线
export function addOverhaulPipe(data) {
  return request({
    url: '/pssr/overhaulPipe',
    method: 'post',
    data: data
  })
}

// 修改检修项目-管线
export function updateOverhaulPipe(data) {
  return request({
    url: '/pssr/overhaulPipe',
    method: 'put',
    data: data
  })
}

//
export function updateOverhaulPipeBatch(data) {
  return request({
    url: '/pssr/overhaulPipe/editBatch',
    method: 'put',
    data: data
  })
}


// 确认检修项目-管线
export function handleConfirmApprove(data) {
  return request({
    url: '/pssr/overhaulPipe/confirmPipe',
    method: 'put',
    data: data
  })
}

// 删除检修项目-管线
export function delOverhaulPipe(id) {
  return request({
    url: '/pssr/overhaulPipe/' + id,
    method: 'delete'
  })
}

// 导出检修项目-管线
export function exportOverhaulPipe(query) {
  return request({
    url: '/pssr/overhaulPipe/export',
    method: 'get',
    params: query
  })
}
